org.apache.hc.client5.http.ssl

## Class HttpsSupport

- java.lang.Object
- - org.apache.hc.client5.http.ssl.HttpsSupport

    public final class HttpsSupport
    extends Object

HTTPS configuration support methods.

Since:
  5.0

### Constructor Summary

Constructors
Constructor and Description
`HttpsSupport()`

### Method Summary

All Methods Static Methods Concrete Methods
`static HostnameVerifier` `getDefaultHostnameVerifier()`
`static String[]` `getSystemCipherSuits()`
`static String[]` `getSystemProtocols()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpsSupport

    public HttpsSupport()

### Method Detail

#### getSystemProtocols

    public static String[] getSystemProtocols()

#### getSystemCipherSuits

    public static String[] getSystemCipherSuits()

#### getDefaultHostnameVerifier

    public static HostnameVerifier getDefaultHostnameVerifier()